Using Orchard 1.4 with mvc4 beta

Topics: General
Mar 3, 2012 at 6:05 AM

Hi:

Is there anything special I need to do/be aware of to get both an iis 7.5 website working with orchard and asp.net mvc4 and an azure website work with the same.

Any help/pointers apreciated.

Cheers

Sean.

 

Coordinator
Mar 3, 2012 at 8:51 AM

Yes: don't use beta versions of MVC with Orchard.

http://docs.orchardproject.net/Documentation/Orchard-1-4-Release-Notes#CompatibilitywithASPNETWebPagesandASPNETMVC

Mar 3, 2012 at 8:55 AM

Hi:

Given that the linked to pages states that 1.4 is compatible with mvc 3 and 4, which version of mvc 4 is it compatible with?

Cheers

Sean.

From: bertrandleroy [email removed]
Sent: 03 March 2012 08:52
To: Sean Farrow
Subject: Re: Using Orchard 1.4 with mvc4 beta [orchard:347126]

From: bertrandleroy

Mar 5, 2012 at 3:16 PM

I'd like to upgrade Orchard 1.4 to MVC 4.0 as well. Knowing MVC 4.0 is not released yet and see comments not to use Beta. Which MVC 4.0 version is compatible?

Coordinator
Mar 5, 2012 at 6:57 PM

For the moment, none.